org.wso2.carbon.dataservices.ui.stub.admin

## Class TestGSpreadConnection

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.admin.TestGSpreadConnection

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class TestGSpreadConnection
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  TestGSpreadConnection bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TestGSpreadConnection.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localClientId` field for ClientId
    `protected boolean` | `localClientIdTracker`
    `protected String` | `localClientSecret` field for ClientSecret
    `protected boolean` | `localClientSecretTracker`
    `protected String` | `localDocumentURL` field for DocumentURL
    `protected boolean` | `localDocumentURLTracker`
    `protected String` | `localRefreshToken` field for RefreshToken
    `protected boolean` | `localRefreshTokenTracker`
    `protected String` | `localVisibility` field for Visibility
    `protected boolean` | `localVisibilityTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestGSpreadConnection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()` Auto generated getter method
    `String` | `getClientSecret()` Auto generated getter method
    `String` | `getDocumentURL()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getRefreshToken()` Auto generated getter method
    `String` | `getVisibility()` Auto generated getter method
    `boolean` | `isClientIdSpecified()`
    `boolean` | `isClientSecretSpecified()`
    `boolean` | `isDocumentURLSpecified()`
    `boolean` | `isRefreshTokenSpecified()`
    `boolean` | `isVisibilitySpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setClientId(String param)` Auto generated setter method
    `void` | `setClientSecret(String param)` Auto generated setter method
    `void` | `setDocumentURL(String param)` Auto generated setter method
    `void` | `setRefreshToken(String param)` Auto generated setter method
    `void` | `setVisibility(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localClientId

          protected String localClientId

      field for ClientId

    - #### localClientIdTracker

          protected boolean localClientIdTracker

    - #### localClientSecret

          protected String localClientSecret

      field for ClientSecret

    - #### localClientSecretTracker

          protected boolean localClientSecretTracker

    - #### localRefreshToken

          protected String localRefreshToken

      field for RefreshToken

    - #### localRefreshTokenTracker

          protected boolean localRefreshTokenTracker

    - #### localVisibility

          protected String localVisibility

      field for Visibility

    - #### localVisibilityTracker

          protected boolean localVisibilityTracker

    - #### localDocumentURL

          protected String localDocumentURL

      field for DocumentURL

    - #### localDocumentURLTracker

          protected boolean localDocumentURLTracker

  - ### Constructor Detail

    - #### TestGSpreadConnection

          public TestGSpreadConnection()

  - ### Method Detail

    - #### isClientIdSpecified

          public boolean isClientIdSpecified()

    - #### getClientId

          public String getClientId()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setClientId

          public void setClientId(String param)

      Auto generated setter method
      Parameters:
        `param` - ClientId

    - #### isClientSecretSpecified

          public boolean isClientSecretSpecified()

    - #### getClientSecret

          public String getClientSecret()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setClientSecret

          public void setClientSecret(String param)

      Auto generated setter method
      Parameters:
        `param` - ClientSecret

    - #### isRefreshTokenSpecified

          public boolean isRefreshTokenSpecified()

    - #### getRefreshToken

          public String getRefreshToken()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setRefreshToken

          public void setRefreshToken(String param)

      Auto generated setter method
      Parameters:
        `param` - RefreshToken

    - #### isVisibilitySpecified

          public boolean isVisibilitySpecified()

    - #### getVisibility

          public String getVisibility()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setVisibility

          public void setVisibility(String param)

      Auto generated setter method
      Parameters:
        `param` - Visibility

    - #### isDocumentURLSpecified

          public boolean isDocumentURLSpecified()

    - #### getDocumentURL

          public String getDocumentURL()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDocumentURL

          public void setDocumentURL(String param)

      Auto generated setter method
      Parameters:
        `param` - DocumentURL

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.